Bug 141986 - Should not default to Emulate3Button in xorg.conf
Should not default to Emulate3Button in xorg.conf
Product: Fedora
Classification: Fedora
Component: system-config-mouse (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Depends On:
  Show dependency treegraph
Reported: 2004-12-06 11:26 EST by Kristian Høgsberg
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-14 00:34:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kristian Høgsberg 2004-12-06 11:26:17 EST
The Emulate3Button option introduces a small delay between pressing a
button and actually delivering the button press event to the
application.  In the meantime motion events are delivered as normal,
which means that if you click to drag something (e.g. window resize),
the mouse cursor can sometimes have moved outside the click-sensitive
area causing the drag to fail.

It is not possible to fix the Emulate3Button functionality, it's
basically how it works.  Instead, I'd suggest that we no longer enable
it by default, but let the user explicitly select it or just add it
when the user selects a two-button mouse in system-config-mouse.
Comment 1 Paul Nasrat 2004-12-06 11:39:34 EST
Whilst it's a fairly simple change in rhpl for the install a thought
just occured to me.  Do we want to have 3 button emulation on for
laptops by default as I guess many laptops just have the two buttons
with the touchpad.
Comment 2 Paul Nasrat 2004-12-06 11:42:15 EST
Also Jeremy thinks we have a lot of two button mouse users out there
Comment 3 Paul Nasrat 2005-02-14 00:34:44 EST
Speaking with Jeremy indicates that there is both a large number of legacy mouse
users, plus new server hardware from vendors will ship with two button mice often.

Note You need to log in before you can comment on or make changes to this bug.